Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-17156

Fix for dnf-RHEL worker nodes breaks 4.12 -> 4.13 upgrades badly

    XMLWordPrintable

Details

    • No
    • Approved
    • False
    • Hide

      We would see undesired mcd binary on node during some of the upgrade scenario which will result in undesired behavior.

      Show
      We would see undesired mcd binary on node during some of the upgrade scenario which will result in undesired behavior.

    Description

      One of the 4.13 nightly payload test is failing and it seems like kernel-uname-r is needed in base RHCOS.

      Error message from rpm-ostree rebase made

       Problem: package kernel-modules-core-5.14.0-284.25.1.el9_2.x86_64 requires kernel-uname-r = 5.14.0-284.25.1.el9_2.x86_64, but none of the providers can be installed
        - conflicting requests
      

      MCD pod log: https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/logs/periodic-ci-openshift-release-master-ci-4.13-upgrade-from-stable-4.12-e2e-gcp-ovn-rt-upgrade/1686324400581775360/artifacts/e2e-gcp-ovn-rt-upgrade/gather-extra/artifacts/pods/openshift-machine-config-operator_machine-config-daemon-bjhq4_machine-config-daemon.log

      Perhaps something changed recently in packaging.

      Attachments

        Issue Links

          Activity

            People

              rhn-support-rioliu Rio Liu
              rhn-engineering-skumari Sinny Kumari
              Rio Liu Rio Liu
              Votes:
              0 Vote for this issue
              Watchers:
              9 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: